Get a specific service checkout
curl --request GET \
--url https://app.usequeue.com/api/v1/service_checkouts/{service_checkout_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.usequeue.com/api/v1/service_checkouts/{service_checkout_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usequeue.com/api/v1/service_checkouts/{service_checkout_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"service_checkout": {
"id": "sub_1RMsEgG02uXfwr5Hbn98NqDD",
"checkout_session_id": "<string>",
"pause_date": "2023-11-07T05:31:56Z",
"paused": true,
"days_left": 123,
"completed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"default": true,
"cancel_date": "2023-11-07T05:31:56Z",
"months_since_creation": 123,
"archive": true,
"qty": 1,
"addons_purchased": true,
"currency": "usd",
"disable_pause": true,
"paypal_subscription_data": {},
"paypal_single_charge_data": {},
"retention_coupon_used": true,
"unsubscribe_reason": "<string>",
"unsubscribed_feedback": "<string>",
"stripe_subscription_id": "<string>",
"stripe_payment_intent_id": "<string>",
"service_price": {
"id": "<string>",
"title": "<string>"
},
"service": {
"id": "<string>",
"title": "<string>"
}
}
}Service Checkouts
Get Service Checkout
GET
/
service_checkouts
/
{service_checkout_id}
Get a specific service checkout
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I

